/*
 * $Id: spm-migpost.sql 101558 2011-12-06 07:24:02Z pca $
 *
 * Finish migrating a SPM 8.5 database into SM 8.6 format.
 *
 * Use migprep.sql first, then schema.sql, then this, and finally
 * install SM 8.6 which will create the stored procedures.
 *
 * Called after building the new tables, this script:
 * - migrates data from old tables
 *
 * Copyright 2011 Flexera Software LLC
 */

USE ManageSoft
GO

--===========================================================================
--		Update the DatabaseConfiguration table
--
--		NOTE: do this last
--===========================================================================
IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1000)
BEGIN
	PRINT 'Recording successful migration'
	UPDATE DatabaseConfiguration SET Value = '8.6'
		WHERE Property = 'SPMSchemaVersion'
	DELETE DatabaseConfiguration WHERE Property = 'SMMigrationStep'
END
GO
