/*
 * $Id: spm-migpost77.sql 101389 2011-11-25 01:51:25Z rlowery $
 *
 * Finish migrating a SPM 7.6 database into SM 7.7 format.
 *
 * Use migprep.sql first, then schema.sql, then this, and finally
 * install SM 7.7 which will create the stored procedures.
 *
 * Called after building the new tables, this script:
 * - migrates data from old tables
 *
 * Copyright 2011 Flexera Software LLC
 */

USE ManageSoft
GO

--===========================================================================
--		Update SPM schema version
--===========================================================================

IF EXISTS(
	SELECT  *
	FROM    DatabaseConfiguration
	WHERE   Property = 'SPMSchemaVersion'
)
	BEGIN
		UPDATE DatabaseConfiguration SET Value = '7.7'
		WHERE Property = 'SPMSchemaVersion'
	END
ELSE
	BEGIN
		INSERT DatabaseConfiguration (Property, Value)
		VALUES ('SPMSchemaVersion','7.7')
	END
GO

--===========================================================================
--		Populate the SecPatch_Location table
--===========================================================================

IF NOT EXISTS (
	SELECT *
	FROM SecPatch_Location
	WHERE LocationID = 0
)
BEGIN
	PRINT 'Populate the SecPatch_Location table'

	INSERT INTO SecPatch_Location (LocationID, Path, AbsolutePath)
	      VALUES(0, 'Other', '')
END
GO

