/*
 * $Id: spm-migpost78.sql 101389 2011-11-25 01:51:25Z rlowery $
 *
 * Finish migrating a SPM 7.7 database into SM 7.8 format.
 *
 * Use migprep.sql first, then schema.sql, then this, and finally
 * install SM 7.8 which will create the stored procedures.
 *
 * Called after building the new tables, this script:
 * - migrates data from old tables
 *
 * Copyright 2011 Flexera Software LLC
 */

USE ManageSoft
GO

--===========================================================================
--		Update SPM schema version
--===========================================================================

IF EXISTS(
	SELECT  *
	FROM    DatabaseConfiguration
	WHERE   Property = 'SPMSchemaVersion'
)
	BEGIN
		UPDATE DatabaseConfiguration SET Value = '7.8'
		WHERE Property = 'SPMSchemaVersion'
	END
ELSE
	BEGIN
		INSERT DatabaseConfiguration (Property, Value)
		VALUES ('SPMSchemaVersion','7.8')
	END
GO

