/*
 * $Id: spm-migpost79.sql 101389 2011-11-25 01:51:25Z rlowery $
 *
 * Finish migrating a SPM 7.8 database into SM 7.9 format.
 *
 * Use migprep.sql first, then schema.sql, then this, and finally
 * install SM 7.9 which will create the stored procedures.
 *
 * Called after building the new tables, this script:
 * - migrates data from old tables
 *
 * Copyright 2011 Flexera Software LLC
 */

USE ManageSoft
GO

--===========================================================================
--		Populate additional data into tables
--===========================================================================

-- SecurityPatchUIProductGroup table
IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1000)
BEGIN
	SET IDENTITY_INSERT SecurityPatchUIProductGroup ON
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 210))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Vista', 'Windows Vista', 210)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 211))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Vista', 'Windows Vista for x64-based systems', 211)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 212))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Vista', 'Windows Vista Business', 212)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 213))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Vista', 'Windows Vista Enterprise', 213)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 214))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Vista', 'Windows Vista Home Basic', 214)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 215))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Vista', 'Windows Vista Home Premium', 215)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 216))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Vista', 'Windows Vista Ultimate', 216)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 217))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Microsoft Office 2007', 'Microsoft Office 2007', 217)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 218))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Microsoft Office 2007', 'Access 2007', 218)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 219))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Microsoft Office 2007', 'Excel 2007', 219)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 220))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Microsoft Office 2007', 'Frontpage 2007', 220)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 221))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Microsoft Office 2007', 'Office 2007', 221)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 222))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Microsoft Office 2007', 'Office Web Components 2007', 222)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 223))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Microsoft Office 2007', 'Outlook 2007', 223)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 224))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Microsoft Office 2007', 'Powerpoint 2007', 224)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 225))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Microsoft Office 2007', 'Publisher 2007', 225)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 226))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Microsoft Office 2007', 'Word 2007', 226)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 227))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Internet Explorer', 'Internet Explorer 7 in Windows Vista', 227)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 228))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Internet Explorer', 'Internet Explorer 7 in Windows Vista x64-based Systems', 228)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 229))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Visual Studio .NET', 'Microsoft Visual Studio 2005', 229)
	END
	SET IDENTITY_INSERT SecurityPatchUIProductGroup OFF
	UPDATE DatabaseConfiguration SET Value = 1001 WHERE Property = 'SMMigrationStep'
END
GO

-- SecurityPatchProductGroup table
IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1001)
BEGIN
	SET IDENTITY_INSERT SecurityPatchProductGroup ON
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 22))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows XP Pro x64', 'Windows XP x64 Edition', 22)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 23))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows Vista', 'Windows Vista Business', 23)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 24))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows Vista', 'Windows Vista Enterprise', 24)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 25))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows Vista', 'Windows Vista Home Basic', 25)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 26))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows Vista', 'Windows Vista Home Premium', 26)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 27))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows Vista', 'Windows Vista Ultimate', 27)
	END
	SET IDENTITY_INSERT SecurityPatchProductGroup OFF
	UPDATE DatabaseConfiguration SET Value = 1002 WHERE Property = 'SMMigrationStep'
END
GO

-- SecurityPatchOperatingSystem table
IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1002)
BEGIN
	IF (NOT EXISTS(SELECT * FROM SecurityPatchOperatingSystem WHERE OperatingSystemID = 41))
	BEGIN
		INSERT INTO SecurityPatchOperatingSystem (Description, OperatingSystemID, Selected, Visible)
			VALUES ('Microsoft Windows XP Pro x64', 41, 1, 1)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchOperatingSystem WHERE OperatingSystemID = 210))
	BEGIN
		INSERT INTO SecurityPatchOperatingSystem (Description, OperatingSystemID, Selected, Visible)
			VALUES ('Microsoft Windows Vista', 210, 1, 1)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchOperatingSystem WHERE OperatingSystemID = 211))
	BEGIN
		INSERT INTO SecurityPatchOperatingSystem (Description, OperatingSystemID, Selected, Visible)
			VALUES ('Microsoft Windows Vista x64', 211, 1, 1)
	END
	UPDATE DatabaseConfiguration SET Value = 1003 WHERE Property = 'SMMigrationStep'
END
GO

-- SecurityPatchApplication table
IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1003)
BEGIN
	IF (NOT EXISTS(SELECT * FROM SecurityPatchApplication WHERE ApplicationID = 218))
	BEGIN
		INSERT INTO SecurityPatchApplication (Description, ApplicationID, Selected, Visible)
			VALUES ('Microsoft Office 2007', 217, 1, 1)
	END
	UPDATE DatabaseConfiguration SET Value = 1004 WHERE Property = 'SMMigrationStep'
END
GO

--===========================================================================
--		Update the DatabaseConfiguration table
--
--		NOTE: do this last
--===========================================================================
IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1004)
BEGIN
	PRINT 'Recording successful migration'
	UPDATE DatabaseConfiguration SET Value = '7.9'
		WHERE Property = 'SPMSchemaVersion'
	DELETE DatabaseConfiguration WHERE Property = 'SMMigrationStep'
END
GO

