/*
 * $Id: spm-migpost795.sql 101389 2011-11-25 01:51:25Z rlowery $
 *
 * Finish migrating a SPM 7.9 database into SM 7.9.5 format.
 *
 * Use migprep.sql first, then schema.sql, then this, and finally
 * install SM 7.9.5 which will create the stored procedures.
 *
 * Called after building the new tables, this script:
 * - migrates data from old tables
 *
 * Copyright 2011 Flexera Software LLC
 */

USE ManageSoft
GO

IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1000)
BEGIN
	SET IDENTITY_INSERT SecurityPatchUIProductGroup ON
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 230))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('SuSE Linux', 'SuSE Linux 9.3', 230)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 231))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('SuSE Linux', 'SuSE Linux 10.0', 231)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 232))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('RedHat Linux', 'RedHat Enterprise Linux AS 4', 232)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 233))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('RedHat Linux', 'RedHat Enterprise Linux ES 4', 233)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 234))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('RedHat Linux', 'RedHat Enterprise Linux WS 4', 234)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 235))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('RedHat Linux', 'RedHat Enterprise Linux AS 5', 235)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 236))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('RedHat Linux', 'RedHat Enterprise Linux ES 5', 236)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 237))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('RedHat Linux', 'RedHat Enterprise Linux WS 5', 237)
	END
	SET IDENTITY_INSERT SecurityPatchUIProductGroup OFF
	UPDATE DatabaseConfiguration SET Value = 1001 WHERE Property = 'SMMigrationStep'
END
GO

--===========================================================================
--		Update the DatabaseConfiguration table
--
--		NOTE: do this last
--===========================================================================
IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1001)
BEGIN
	PRINT 'Recording successful migration'
	UPDATE DatabaseConfiguration SET Value = '7.9.5'
		WHERE Property = 'SPMSchemaVersion'
	DELETE DatabaseConfiguration WHERE Property = 'SMMigrationStep'
END
GO

