/*
 * $Id: spm-migpost.sql 90795 2008-12-19 03:37:39Z pca $
 *
 * Finish migrating a SPM 7.9.5 database into SM 8.0 format.
 *
 * Use migprep.sql first, then schema.sql, then this, and finally
 * install SM 8.0 which will create the stored procedures.
 *
 * Called after building the new tables, this script:
 * - migrates data from old tables
 *
 * Copyright 2011 Flexera Software LLC
 */

USE ManageSoft
GO

IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1000)
BEGIN
	SET IDENTITY_INSERT SecurityPatchUIProductGroup ON
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 238))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Server 2008', 'Windows Server 2008', 238)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 239))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Server 2008', 'Windows Server 2008 Datacenter', 239)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 240))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Server 2008', 'Windows Server 2008 Enterprise', 240)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 241))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Server 2008', 'Windows Server 2008 Standard', 241)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 242))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Server 2008', 'Windows Web Server 2008', 242)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 243))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Server 2008', 'Windows HPC Server 2008', 243)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 244))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Server 2008', 'Windows Server 2008 for Itanium-Based Systems', 244)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 245))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Server 2008', 'Windows Server 2008 Datacenter without Hyper-V', 245)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 246))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Server 2008', 'Windows Server 2008 Enterprise without Hyper-V', 246)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 247))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Server 2008', 'Windows Server 2008 Standard without Hyper-V', 247)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 248))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Server 2008', 'Windows Server 2008 x64 Edition', 248)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 249))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Internet Explorer', 'Internet Explorer for Windows Server 2008', 249)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 250))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Internet Explorer', 'Internet Explorer for Windows Server 2008 x64 Edition', 250)
	END
	SET IDENTITY_INSERT SecurityPatchUIProductGroup OFF
	UPDATE DatabaseConfiguration SET Value = 1001 WHERE Property = 'SMMigrationStep'
END
GO

-- SecurityPatchProductGroup table
IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1001)
BEGIN
	SET IDENTITY_INSERT SecurityPatchProductGroup ON
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 28))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows Server 2008', 'Windows Server 2008 Datacenter', 28)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 29))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows Server 2008', 'Windows Server 2008 Enterprise', 29)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 30))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows Server 2008', 'Windows Server 2008 Standard', 30)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 31))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows Server 2008', 'Windows Web Server 2008', 31)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 32))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows Server 2008', 'Windows HPC Server 2008', 32)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 33))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows Server 2008', 'Windows Server 2008 for Itanium-Based Systems', 33)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 34))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows Server 2008', 'Windows Server 2008 Datacenter without Hyper-V', 34)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 35))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows Server 2008', 'Windows Server 2008 Enterprise without Hyper-V', 35)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 36))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows Server 2008', 'Windows Server 2008 Standard without Hyper-V', 36)
	END
	SET IDENTITY_INSERT SecurityPatchProductGroup OFF
	UPDATE DatabaseConfiguration SET Value = 1002 WHERE Property = 'SMMigrationStep'
END
GO

-- SecurityPatchOperatingSystem table
IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1002)
BEGIN
	IF (NOT EXISTS(SELECT * FROM SecurityPatchOperatingSystem WHERE OperatingSystemID = 238))
	BEGIN
		INSERT INTO SecurityPatchOperatingSystem (Description, OperatingSystemID, Selected, Visible)
			VALUES ('Microsoft Windows Server 2008', 238, 1, 1)
	END
	UPDATE DatabaseConfiguration SET Value = 1003 WHERE Property = 'SMMigrationStep'
END
GO

--===========================================================================
--		Update the DatabaseConfiguration table
--
--		NOTE: do this last
--===========================================================================
IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1003)
BEGIN
	PRINT 'Recording successful migration'
	UPDATE DatabaseConfiguration SET Value = '8.0'
		WHERE Property = 'SPMSchemaVersion'
	DELETE DatabaseConfiguration WHERE Property = 'SMMigrationStep'
END
GO

