/*
 * $Id: spm-migpost.sql 93792 2009-09-15 05:18:47Z rlowery $
 *
 * Finish migrating a SPM 8.0 database into SM 8.2 format.
 *
 * Use migprep.sql first, then schema.sql, then this, and finally
 * install SM 8.2 which will create the stored procedures.
 *
 * Called after building the new tables, this script:
 * - migrates data from old tables
 *
 * Copyright 2011 Flexera Software LLC
 */

USE ManageSoft
GO

IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1000)
BEGIN
	SET IDENTITY_INSERT SecurityPatchUIProductGroup ON
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 251))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows 7', 'Windows 7', 251)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 252))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows 7', 'Windows 7 for x64-based Systems', 252)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 253))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Server 2008 R2', 'Windows Server 2008 R2', 253)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 254))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Server 2008 R2', 'Windows Server 2008 R2 Itanium Edition', 254)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 255))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Internet Explorer', 'Internet Explorer for Windows Vista', 255)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 256))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Internet Explorer', 'Internet Explorer for Windows Vista x64-based Systems', 256)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 257))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Internet Explorer', 'Internet Explorer for Windows 7', 257)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 258))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Internet Explorer', 'Internet Explorer for Windows 7 x64-based Systems', 258)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 259))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Internet Explorer', 'Internet Explorer for Windows Server 2008 R2', 259)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 260))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Internet Explorer', 'Internet Explorer x64 for Windows Server 2008 R2', 260)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 261))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('BackOffice Server', 'BackOffice Server', 261)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 262))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('DirectX', 'DirectX', 262)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 263))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('DirectX', 'DirectX 7.0', 263)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 264))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('DirectX', 'DirectX 8.0', 264)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 265))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('DirectX', 'DirectX 8.1', 265)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 266))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('DirectX', 'DirectX 8.2', 266)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 267))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('DirectX', 'DirectX 9.0', 267)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 268))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Internet Explorer', 'Internet Explorer', 268)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 269))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Internet Explorer', 'Internet Explorer 8 for Windows Vista', 269)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 270))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Internet Explorer', 'Internet Explorer 8 for Windows Vista for x64-based Systems', 270)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 271))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('ISA Server', 'ISA Server', 271)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 272))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('ISA Server', 'ISA Server 2004 Enterprise Edition', 272)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 273))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('ISA Server', 'ISA Server 2004 Standard Edition', 273)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 274))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('ISA Server', 'ISA Server 2006 RTM', 274)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 275))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('ISA Server', 'ISA Server 2006 SP1', 275)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 276))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('ISA Server', 'ISA Server 2006 Supportability Pack', 276)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 277))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Microsoft Forefront', 'Microsoft Forefront', 277)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 278))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Microsoft Forefront', 'Microsoft Forefront Client Security', 278)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 279))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows 2000', 'Microsoft Jscript version Windows 2000', 279)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 280))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows XP', 'Microsoft Jscript version Windows Windows XP', 280)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 281))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Microsoft Works', 'Microsoft Works', 281)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 282))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Microsoft Office 2007', 'OneNote 2007', 282)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 283))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Microsoft Office XP', 'Outlook Express for XP', 283)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 284))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows 2000', 'Windows 2000 with Service Pack 2 or Service Pack 3', 284)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 285))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Journal Viewer', 'Windows Journal Viewer', 285)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 286))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Media Player', 'Windows Media Encoder', 286)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 287))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows Media Player', 'Windows Media Encoder 9', 287)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 288))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Windows XP', 'Windows XP or Windows XP Service Pack 1', 288)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 289))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Microsoft Works', 'Works 2005', 289)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 290))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Visual Studio .NET', 'Microsoft Visual Studio 2008', 290)
	END
	SET IDENTITY_INSERT SecurityPatchUIProductGroup OFF
	UPDATE DatabaseConfiguration SET Value = 1001 WHERE Property = 'SMMigrationStep'
END
GO

-- SecurityPatchProductGroup table
IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1001)
BEGIN
	SET IDENTITY_INSERT SecurityPatchProductGroup ON
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 37))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows 7', 'Windows 7 Starter', 37)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 38))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows 7', 'Windows 7 Home Basic', 38)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 39))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows 7', 'Windows 7 Home Premium', 39)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 40))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows 7', 'Windows 7 Professional', 40)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 41))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows 7', 'Windows 7 Enterprise', 41)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchProductGroup WHERE SecurityPatchProductGroupID = 42))
	BEGIN
		INSERT INTO SecurityPatchProductGroup (Environment, Product, SecurityPatchProductGroupID)
			VALUES ('Microsoft Windows 7', 'Windows 7 Ultimate', 42)
	END
	SET IDENTITY_INSERT SecurityPatchProductGroup OFF
	UPDATE DatabaseConfiguration SET Value = 1002 WHERE Property = 'SMMigrationStep'
END
GO

-- SecurityPatchOperatingSystem table
IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1002)
BEGIN
	IF (NOT EXISTS(SELECT * FROM SecurityPatchOperatingSystem WHERE OperatingSystemID = 251))
	BEGIN
		INSERT INTO SecurityPatchOperatingSystem (Description, OperatingSystemID, Selected, Visible)
			VALUES ('Microsoft Windows 7', 251, 1, 1)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchOperatingSystem WHERE OperatingSystemID = 304))
	BEGIN
		INSERT INTO SecurityPatchOperatingSystem (Description, OperatingSystemID, Selected, Visible)
			VALUES ('Microsoft Windows 7 x64', 252, 1, 1)
	END
	UPDATE DatabaseConfiguration SET Value = 1003 WHERE Property = 'SMMigrationStep'
END
GO

-- SecurityPatchApplication table
IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1003)
BEGIN
	IF (NOT EXISTS(SELECT * FROM SecurityPatchApplication WHERE ApplicationID = 275))
	BEGIN
		INSERT INTO SecurityPatchApplication (Description, ApplicationID, Selected, Visible)
			VALUES ('DirectX', 262, 1, 1)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchApplication WHERE ApplicationID = 284))
	BEGIN
		INSERT INTO SecurityPatchApplication (Description, ApplicationID, Selected, Visible)
			VALUES ('ISA Server', 271, 1, 1)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchApplication WHERE ApplicationID = 290))
	BEGIN
		INSERT INTO SecurityPatchApplication (Description, ApplicationID, Selected, Visible)
			VALUES ('Microsoft Forefront', 277, 1, 1)
	END
	UPDATE DatabaseConfiguration SET Value = 1004 WHERE Property = 'SMMigrationStep'
END
GO

-- Drop RedHat and SuSE records
IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1004)
BEGIN
	DELETE FROM SecPatch_Bulletin
	WHERE BulletinID LIKE 'RH%' OR BulletinID LIKE 'SuSE%'
	
	DELETE FROM SecPatch_Product
	WHERE Name LIKE 'RedHat%' OR Name LIKE 'SuSE%'
	
	DELETE FROM SecurityBulletin
	WHERE BulletinID LIKE 'RH%' OR BulletinID LIKE 'SuSE%'

	DELETE FROM SecurityPatchUIProductGroup
	WHERE GroupName IN ('RedHat Linux', 'SuSE Linux')

	IF EXISTS (
		SELECT *
		FROM INFORMATION_SCHEMA.TABLES
		WHERE TABLE_NAME = 'SecurityPatchResourceProduct'
	)
	BEGIN
		DROP TABLE SecurityPatchResourceProduct
	END
	
	IF EXISTS (
		SELECT *
		FROM INFORMATION_SCHEMA.TABLES
		WHERE TABLE_NAME = 'SecurityPatchProduct'
	)
	BEGIN
		DROP TABLE SecurityPatchProduct
	END

	UPDATE DatabaseConfiguration SET Value = 1005 WHERE Property = 'SMMigrationStep'
END

--===========================================================================
--		Update the DatabaseConfiguration table
--
--		NOTE: do this last
--===========================================================================
IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1005)
BEGIN
	PRINT 'Recording successful migration'
	UPDATE DatabaseConfiguration SET Value = '8.2'
		WHERE Property = 'SPMSchemaVersion'
	DELETE DatabaseConfiguration WHERE Property = 'SMMigrationStep'
END
GO
