/*
 * $Id: spm-migpost.sql 97708 2010-09-16 06:38:45Z rlowery $
 *
 * Finish migrating a SPM 8.2 database into SM 8.4 format.
 *
 * Use migprep.sql first, then schema.sql, then this, and finally
 * install SM 8.4 which will create the stored procedures.
 *
 * Called after building the new tables, this script:
 * - migrates data from old tables
 *
 * Copyright 2011 Flexera Software LLC
 */

USE ManageSoft
GO

IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1000)
BEGIN
	SET IDENTITY_INSERT SecurityPatchUIProductGroup ON
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 291))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('SQL Server', 'SQL Server', 291)
	END
	IF (NOT EXISTS(SELECT * FROM SecurityPatchUIProductGroup WHERE SecurityPatchUIProductGroupID = 292))
	BEGIN
		INSERT INTO SecurityPatchUIProductGroup (GroupName, Product, SecurityPatchUIProductGroupID)
			VALUES ('Visual Studio .NET', 'Microsoft Visual Studio', 292)
	END
	SET IDENTITY_INSERT SecurityPatchUIProductGroup OFF
	UPDATE DatabaseConfiguration SET Value = 1001 WHERE Property = 'SMMigrationStep'
END
GO

--===========================================================================
--		Update the DatabaseConfiguration table
--
--		NOTE: do this last
--===========================================================================
IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1001)
BEGIN
	PRINT 'Recording successful migration'
	UPDATE DatabaseConfiguration SET Value = '8.4'
		WHERE Property = 'SPMSchemaVersion'
	DELETE DatabaseConfiguration WHERE Property = 'SMMigrationStep'
END
GO
