/*
 * $Id: spm-migpost.sql 101389 2011-11-25 01:51:25Z rlowery $
 *
 * Finish migrating a SPM 8.2 database into SM 8.4 format.
 *
 * Use migprep.sql first, then schema.sql, then this, and finally
 * install SM 8.4 which will create the stored procedures.
 *
 * Called after building the new tables, this script:
 * - migrates data from old tables
 *
 * Copyright 2011 Flexera Software LLC
 */

USE ManageSoft
GO

IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1000)
BEGIN
	-- Drop indexes that have been removed from the product
	IF EXISTS (
		SELECT * FROM sysindexes
		WHERE name = N'AffectedServicePackByAffectedProductID'
	)
		DROP INDEX AffectedServicePackByAffectedProductID
			ON SecPatch_AffectedServicePack

	UPDATE DatabaseConfiguration SET Value = 1001 WHERE Property = 'SMMigrationStep'
END
GO

--===========================================================================
--		Update the DatabaseConfiguration table
--
--		NOTE: do this last
--===========================================================================
IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 1001)
BEGIN
	PRINT 'Recording successful migration'
	UPDATE DatabaseConfiguration SET Value = '8.5'
		WHERE Property = 'SPMSchemaVersion'
	DELETE DatabaseConfiguration WHERE Property = 'SMMigrationStep'
END
GO
