/*
 * $Id: spm-migprep78.sql 101389 2011-11-25 01:51:25Z rlowery $
 *
 * Prepare to migrate a SPM 7.7 database into SM 7.8 format.
 *
 * Use this first, then schema.sql, then migpost.sql, AND finally
 * install SM 7.8 which will create the stored procedures.
 *
 * The aim here is to make minimal changes that will allow schema.sql
 * to succeed in creating any new objects, before migpost.sql finishes
 * reshaping some tables AND dropping any unused objects.
 *
 * Copyright 2011 Flexera Software LLC
 */
 
USE ManageSoft
GO

-- Some indices were mis-named in 7.7, fix them:
IF EXISTS (SELECT * FROM sysindexes WHERE name = 'PQ_SecurityAnalysisReport_ByComputer')
	exec sp_rename 'PQ_SecurityAnalysisReport_ByComputer', 'PK_SecurityAnalysisReport_ByComputer'
GO

IF EXISTS (SELECT * FROM sysindexes WHERE name = 'PQ_SecurityPatchAnalysis_ByComputer')
	exec sp_rename 'PQ_SecurityPatchAnalysis_ByComputer', 'PK_SecurityPatchAnalysis_ByComputer'
GO

IF EXISTS (SELECT * FROM sysindexes WHERE name = 'PQ_SecurityPatchStatus')
	exec sp_rename 'PQ_SecurityPatchStatus', 'PK_SecurityPatchStatus'
GO

IF EXISTS (SELECT * FROM sysindexes WHERE name = 'PQ_SecurityPatchUIProductGroup')
	exec sp_rename 'PQ_SecurityPatchUIProductGroup', 'PK_SecurityPatchUIProductGroup'
GO

IF EXISTS (SELECT * FROM sysindexes WHERE name = 'PQ_SecurityPatchProductGroup')
	exec sp_rename 'PQ_SecurityPatchProductGroup', 'PK_SecurityPatchProductGroup'
GO

IF EXISTS (SELECT * FROM sysindexes WHERE name = 'PQ_SecurityPatchResource')
	exec sp_rename 'PQ_SecurityPatchResource', 'PK_SecurityPatchResource'
GO

IF EXISTS (SELECT * FROM sysindexes WHERE name = 'PQ_SecurityPatchProduct')
	exec sp_rename 'PQ_SecurityPatchProduct', 'PK_SecurityPatchProduct'
GO

IF EXISTS (SELECT * FROM sysindexes WHERE name = 'PQ_SecurityPatchResourceProduct')
	exec sp_rename 'PQ_SecurityPatchResourceProduct', 'PK_SecurityPatchResourceProduct'
GO

IF EXISTS (SELECT * FROM sysindexes WHERE name = 'PK_SecurityBulletinRequires')
	ALTER TABLE SecurityBulletinRequires DROP CONSTRAINT PK_SecurityBulletinRequires
GO

