/*
 * $Id: spm-migprep795.sql 101389 2011-11-25 01:51:25Z rlowery $
 *
 * Prepare to migrate a SPM 7.9 database into SM 7.9.5 format.
 *
 * Use this first, then schema.sql, then migpost.sql, AND finally
 * install SM 7.9.5 which will create the stored procedures.
 *
 * The aim here is to make minimal changes that will allow schema.sql
 * to succeed in creating any new objects, before migpost.sql finishes
 * reshaping some tables AND dropping any unused objects.
 *
 * Copyright 2011 Flexera Software LLC
 */
 
USE ManageSoft

IF NOT EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep')
	INSERT DatabaseConfiguration (Property, Value) VALUES ('SMMigrationStep', 0)
ELSE
BEGIN
	DECLARE @step int
	SELECT @step = Value FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep'
	PRINT 'Restarting migration from step '+STR(@step + 1, 2)
END
GO

IF EXISTS(SELECT * FROM DatabaseConfiguration WHERE Property = 'SMMigrationStep' AND VALUE = 0)
BEGIN
	UPDATE DatabaseConfiguration SET Value = 1000 WHERE Property = 'SMMigrationStep'
END
GO

